
%define plugin	yaepg
%define name	vdr-plugin-%plugin
%define version	0.0.2.1
%define rel	13

Summary:	VDR plugin: Yet Another EPG
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.hoochvdr.info/
# http://www.hoochvdr.info/modules.php?name=Forums&file=viewtopic&t=98
Source:		http://www.hoochvdr.info/files/vdr-%plugin-%version.tar.bz2

# From http://users.tkk.fi/~rahrenbe/vdr/
Patch0:		vdr-yaepg-0.0.2-finnish.diff

# Use standard VDR logging mechanism instead of own logfile
Patch1:		yaepg-logging.patch

# Use standard types, from e-tobi repository
Patch2:		yaepg-standard-types.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
Yaepg (Yet Another Electronic Programming Guide) is an EPG that tries to
simulate the look and feel of a commercial IRD.

%prep
%setup -q -n %plugin-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README COPYING HISTORY




%changelog
* Fri Jul 20 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-13mdv2008.0
+ Revision: 53734
- use standard uint64_t type (patch2)
- do not create separate logfile (patch1)

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-12mdv2008.0
+ Revision: 50065
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-11mdv2008.0
+ Revision: 42148
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-10mdv2008.0
+ Revision: 22728
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-9mdv2007.0
+ Revision: 90985
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-8mdv2007.1
+ Revision: 74100
- rebuild for new vdr
- Import vdr-plugin-yaepg

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-2mdv2007.0
- rebuild for new vdr

* Sat Jun 03 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2.1-1mdv2007.0
- initial Mandriva release

